-----DEBUG CONTROL--------------------------------------------------------------

debug_output = true -- true/false --display debug messages in the console

-----DISPLAY CONSOLE MESSAGE----------------------------------------------------

-- Display a message in the console for debugging, message can be a number variable
-- or a string but not mixed. No line feed character is added.
function Msg(value)
  --returns nothing

  if debug_output then --check if flag is set true (at the start of this script)
    reaper.ShowConsoleMsg(tostring(value).."\n")
  end
end



local info = debug.getinfo(1,'S');
script_path = info.source:match[[^@?(.*[\/])[^\/]-$]]

if not reaper.file_exists( script_path .. "ahk\\AutoHotkey.exe" ) then

  script_path = "C:\\Program Files\\AutoHotkey\\"  
else

  script_path = script_path .. "ahk\\"
end

reaper.ExecProcess([[cmd.exe /C " cd ]] .. script_path .. [[ & "AutoHotkey.exe" "scripts/reaper_select_all_regions.ahk"]],-2)
